Bug 1204469 - anaconda-core >= 22.18 pulls in X stack
Summary: anaconda-core >= 22.18 pulls in X stack
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Kolman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2015-03-22 12:19 UTC by Peter Robinson
Modified: 2015-04-04 17:52 UTC (History)
5 users (show)

Fixed In Version: anaconda-22.20.7-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-04 17:52:31 UTC


Attachments (Terms of Use)

Description Peter Robinson 2015-03-22 12:19:56 UTC
Anaconda 22.18 moved the pygobject3 from anaconda-widgets to anaconda-core (rhbz 1188850) which in turn pulls in cairo and a large chunk of xorg/mesa stack.

The issue was due to missing gi.repository which is provided by pygobject3-base. 

So I believe anaconda core should depend on pygobject3-base and the full pygobject3 dep should be moved back to anaconda-widgets.

This change has bloated minimal images quite a bit

Comment 1 Fedora Update System 2015-03-26 19:53:46 UTC
anaconda-22.20.7-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/anaconda-22.20.7-1.fc22

Comment 2 Fedora Update System 2015-03-29 05:03:57 UTC
Package anaconda-22.20.7-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-22.20.7-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4952/anaconda-22.20.7-1.fc22
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2015-03-31 21:42:43 UTC
Package anaconda-22.20.7-1.fc22, libblockdev-0.8-1.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-22.20.7-1.fc22 libblockdev-0.8-1.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-4952/libblockdev-0.8-1.fc22,anaconda-22.20.7-1.fc22
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2015-04-04 17:52:31 UTC
anaconda-22.20.7-1.fc22, libblockdev-0.8-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.